import { Injectable } from '@nestjs/common';
import { IFindTimezone } from '../../domain/interfaces/timezone-finder.interface';
import { find } from 'geo-tz';

@Injectable()
export class GeoTimezoneFinder implements IFindTimezone {
  timezones = (lon: number, lat: number): Array<string> => find(lat, lon);
}
