import { MatchQuery } from 'src/modules/matcher/queries/match.query';
import { Candidate } from '../candidate';

export abstract class Processor {
  private matchQuery: MatchQuery;

  constructor(matchQuery: MatchQuery) {
    this.matchQuery = matchQuery;
  }

  abstract execute(candidates: Array<Candidate>): Array<Candidate>;
}
