import { AlgorithmType } from '../types/algorithm.enum';

export interface IRequestAlgorithmSettings {
  algorithm: AlgorithmType;
  strict: boolean;
  remoteness: number;
  useProportion: boolean;
  proportion: number;
  useAzimuth: boolean;
  azimuthMargin: number;
  maxDetourDistanceRatio: number;
  maxDetourDurationRatio: number;
}
